# Window

Adds supports for \[System.Windows.Forms.Form]\(<https://msdn.microsoft.com/en-us/library/system.windows.forms.form(v=vs.110).aspx>)

## Implementation  Details:

> **Component Selector:** 'wm-window'
>
> **Kendo UI Component:** [Kendo Window](https://www.telerik.com/kendo-angular-ui/components/dialogs/window/)

## Class inheritance

WindowComponent extends [ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md).

## PME Support

### Properties

| Property                 | Get/Set | Notify Changes | Details                                                                                                                                                                         |
| ------------------------ | ------- | -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| text: string             | Yes     | Yes            | Inherited from ControlComponent [see ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md). |
| name: string             | Yes     | No             | Inherited from ControlComponent [see ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md). |
| enabled: boolean         | Yes     | No             | Inherited from ControlComponent [see ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md). |
| visible: boolean         | Yes     | No             | Inherited from ControlComponent [see ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md). |
| isMdiContainer : boolean | Yes     | No             | Gets or sets a value indicating whether the form is a container for multiple-document interface (MDI) child forms.                                                              |
| top: number              | Get     | No             | The window top position. Return NaN if it does not exists in the model.                                                                                                         |
| left: number             | Get     | No             | The window left position. Return NaN if it does not exists in the model.                                                                                                        |
| isModal: boolean         | Yes     | No             | Get or sets the value = true if the window is a modal.                                                                                                                          |
| isMdiContainer: boolean  | Yes     | No             | Gets or sets  the value = true if the window is a MDI container.                                                                                                                |
| windowState: WindowState | Yes     | Yes            | Gets or sets the value of the current windowState (Maximized, Minimized, Default).                                                                                              |
| icon: string             | Get     | No             | Gets the icon url for current window.                                                                                                                                           |

### Methods

| Method                | Return type | Details                                         |
| --------------------- | ----------- | ----------------------------------------------- |
| defineInitialPosition | void        | Defines the position where the window will show |
| defineInitialZIndex   | void        | Defines the initial index of the window.        |

### Events

| Event | Supported | Parameter       | Details                                                                                                                               |
| ----- | --------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| close | Yes       | **$event**: any | Closes the window component. ***$event*** parameter is optional and the ***$event***  object vary depending on the type of DOM event. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gapvelocity.ai/webmap/general/frontend/documentation/winforms-angular-components/web-components/kendoui-components/window.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
